Ubuntu 19.04 deb package segfault

Reply

Re: Ubuntu 19.04 deb package segfault

the_furai
Casual Listener

Getting exactly the same issue. Snap package seems to work.

 

Are there any alternatives to using spotify official client? Is spotifyd something worth giving a shot if I'm willing to give up cache/offline listening?

Re: Ubuntu 19.04 deb package segfault

asbjornf
Newbie

I noticed the same in gdb.

Seems like the issue is somewhere where spotify uses curl for its https communication.

 

Screenshot from 2019-06-07 11-00-51.png

Re: Ubuntu 19.04 deb package segfault

simonskrede
Newbie

Same here, segfault on ubuntu 19.04. Installing libcanberra-gtk-module does not help.

Re: Ubuntu 19.04 deb package segfault

cnbnjn
Casual Listener

Same here, segfault in 5 out of 10  application starts

Re: Ubuntu 19.04 deb package segfault

flapjackboy
Newbie

I had the same issue on Ubuntu 19.04 this morning (I'm using the deb package, not the snap package) . When trying to launch Spotify, it would just crash. Launching from temrinal gave the output:

 

Gtk-Message: 10:21:46.749: Failed to load module "gail"
Gtk-Message: 10:21:46.759: Failed to load module "canberra-gtk-module"

And then a segfault.

Installing just the canberra-gtk-module didnt fix the issue, but installing libgail as well resulted in Spotify loading and working correctly. This was done with:

sudo apt-get install libcanberra-gtk-module libgail-common


Just posting as it worked for me - your mileage may vary.

Re: Ubuntu 19.04 deb package segfault

OMGBosnia
Regular

@flapjackboy wrote:

I had the same issue on Ubuntu 19.04 this morning (I'm using the deb package, not the snap package) . When trying to launch Spotify, it would just crash. Launching from temrinal gave the output:

 

Gtk-Message: 10:21:46.749: Failed to load module "gail"
Gtk-Message: 10:21:46.759: Failed to load module "canberra-gtk-module"

And then a segfault.

Installing just the canberra-gtk-module didnt fix the issue, but installing libgail as well resulted in Spotify loading and working correctly. This was done with:

sudo apt-get install libcanberra-gtk-module libgail-common


Just posting as it worked for me - your mileage may vary.



This fixed the issue for me on Kubuntu 19.04.

 

EDIT: Upon closing and reopening Spotify, the issue returned.

Re: Ubuntu 19.04 deb package segfault

chris208
Casual Listener

@andreaso84 wrote:

Switching to the snap package solved the problem for me.

 

snap install spotify

The snap starts up fine, but then there are new problems, e.g. I can't open settings, or account. When I click the links nothing happens at all..

 

I think comments coming from people suggesting installing canberra and gail aren't related to the TS's problem, this problem has something to do with libcurl-gnutls. I have all the suggested packages installed already and I still have this problem. I managed to start spotify-client only once after reinstalling it but any subsequent attempt failed. 

Re: Ubuntu 19.04 deb package segfault

meijero
Casual Listener

I found a solution to this issue

 

Update manually by downloading the following packages, see links below.


http://ftp.us.debian.org/debian/pool/main/g/gnutls28/libgnutls30_3.6.8-1_amd64.deb

http://http.us.debian.org/debian/pool/main/c/curl/libcurl3-gnutls_7.64.0-3_amd64.deb

 

As a result, the new version of spotify-client for linux will work on Ubuntu 19.04!

 

Best regards,

 

Otto

Re: Ubuntu 19.04 deb package segfault

Funeoz
Casual Listener

I think it's better to wait Ubuntu developers to add newer versions of these two packages than downloading them from Debian repositories.

Re: Ubuntu 19.04 deb package segfault

the_furai
Casual Listener

If that fixes it, maybe it's worth to wrap it in a script that loads these libraries from some custom and not system-wide install location. Could that be feasible?

SUGGESTED POSTS